<article class="car-use">
  <!-- <form #form="ngForm"> -->
    <qtb-hero-image title="How you use your car"></qtb-hero-image>
    <mat-vertical-stepper #stepper linear="true" class="qtb__container">
      <mat-step>
<section class="qtb__non-emma-question">
    <fieldset>
      <qtb-question-heading heading="All good {{ formModel.mainDriver.Firstname }}, now how will you be using your car?" moreInfoText="What's the difference?">
      </qtb-question-heading>

          <qtb-radiobutton [options]="options.carUseTypes">
            <ng-template #inputs let-option>
              <input
                  qtbNullOnHide
                  required
                  [(ngModel)]="formModel.vehicle.CarUsage"
                  (click)="nextStepWithDelay()"
                  type="radio"
                  value="{{option.value}}"
                  name="carUsage"
                  id="{{ option }}"
                />
              </ng-template>
         </qtb-radiobutton>

        </fieldset>
        <qtb-stepper-nav [showNext]="true"></qtb-stepper-nav>
      </section>
      </mat-step>
      <mat-step *ngIf="questionLogic.askBusinessUse">
        <section class="qtb__non-emma-question">
          <fieldset>
            <qtb-question-heading heading="What kind of business is it used for?">
            </qtb-question-heading>

            <qtb-radiobutton [options]="options.businessTypes">
                <ng-template #inputs let-option>
                  <input
                      [(ngModel)]="formModel.vehicle.businessType"
                      type="radio"
                      value="{{ option.value }}"
                      name="businessType"
                      id="{{ option.value }}"
                    />
                </ng-template>
              </qtb-radiobutton>

              <qtb-select-list>
                <label *ngIf="questionLogic.displayOtherBusinesses" for="other-business">
                  <span>Business type</span>
                  <select
                    [(ngModel)]="formModel.vehicle.otherBusinessType"
                    name="otherBusiness"
                    id="other-business"
                  >
                    <option
                      *ngFor="let option of options.otherBusinesses"
                      [ngValue]="option.value"
                      >{{ option.display }}</option
                    >
                  </select>
                </label>
              </qtb-select-list>
          </fieldset>
          <app-alert
            *ngIf="questionLogic.isRestrictedBusinessType"
            type="stop"
            heading="Unfortunately we are not able to offer you insurance"
            subheading="This is because we do not offer insurance to this type of business use"
          >
          </app-alert>
          <!-- <section *ngIf="questionLogic.isRestrictedBusinessType">
            <h2>Unfortunately we are not able to offer you insurance</h2>
            <p>
              This is because we do not offer insurance to this type of business use
            </p>
          </section> -->
          <app-alert
            *ngIf="questionLogic.callApplicant"
            type="emma"
            heading="Please give us a call to discuss your insurance cover"
            subheading="We'd like to have a conversation about your situation"
          >
          </app-alert>
          <!-- <section *ngIf="questionLogic.callApplicant">
            <h2>Please give us a call to discuss your insurance cover</h2>
            <p>We'd like to have a conversation about your situation</p>
          </section> -->
        </section>
        <qtb-stepper-nav [showNext]="true"></qtb-stepper-nav>
      </mat-step>
      <mat-step>
        <section class="">
          <fieldset>
            <qtb-question-heading heading="How far would this car travel per year?">
              </qtb-question-heading>

            <div class="qtb__emma-question-layout qtb__emma-large qtb__emma-large">
              <qtb-emma 
                [text]="questionLogic.emmaDistanceText">
              </qtb-emma>
              <qtb-radiobutton [options]="options.travelDistances" class="qtb__form-element">
                <ng-template #inputs let-option>
                  <!-- (click)="nextStepWithDelay()" -->
                  <input
                    qtbNullOnHide
                      [(ngModel)]="formModel.vehicle.distance"
                      value="{{ option.value }}"
                      type="radio"
                      name="distance"
                      id="{{ option.value }}"
                    />
                </ng-template>
              </qtb-radiobutton>
              <qtb-stepper-nav [showNext]="true"></qtb-stepper-nav>
              <div class="qtb__spacer"></div>
            </div>
          </fieldset>
        </section>
      </mat-step>
      <mat-step>
        <section class="qtb__non-emma-question">
          
            <qtb-question-heading heading="What suburb is this vehicle parked in at night?">
              </qtb-question-heading>

          <div class="responsive-form__wrapper">
            <div class="responsive-form__medium input__wrapper">
              <label for="suburb">
                <span>Suburb</span>
              </label>
              <input
                qtbNullOnHide
                [(ngModel)]="formModel.vehicle.location"
                name="vehicleLocation"
                type="text"
                id="suburb"
                class="form-control"
                autocomplete="off"
            />
            </div>
          </div>




        </section>
        <qtb-stepper-nav></qtb-stepper-nav>
      </mat-step>
      <mat-step>
        <section class="qtb__non-emma-question">
          <fieldset>
              <qtb-question-heading heading="What kind of cover does this car have when parked at night?">
                </qtb-question-heading>

            <qtb-radiobutton [options]="options.coverTypes">
                <ng-template #inputs let-option>
                    <input
                      qtbNullOnHide
                    [(ngModel)]="formModel.vehicle.coverType"
                    value="{{ option.value }}"
                    type="radio"
                    name="coverType"
                    id="{{ option.value }}"
                    (click)="nextStepWithDelay()"
                  />
                </ng-template>
            </qtb-radiobutton>
          </fieldset>
        </section>
        <qtb-stepper-nav [showNext]="false"></qtb-stepper-nav>
      </mat-step>

      <mat-step>
        <form #purchasedLast3MonthsForm="ngForm">
        <section class="qtb__non-emma-question">
          <fieldset>
              <qtb-question-heading heading="Did you purchase this car in the last 3 months?">
                </qtb-question-heading>

            <qtb-radiobutton [options]="options.yesOrNo" size="s">
                <ng-template #inputs let-option>
                    <input
                      qtbNullOnHide
                      [(ngModel)]="formModel.vehicle.last3Months"
                      value="{{ option.value }}"
                      type="radio"
                      name="newVehicle"
                      id="lastThreeMonths{{ option.value }}"
                    />
                </ng-template>
            </qtb-radiobutton>
          </fieldset>
        </section>

        <!-- not great. -->
        <qtb-stepper-nav
        *ngIf="!questionLogic.last3MonthsIsLastQuestion"
        [showNext]="true"></qtb-stepper-nav>

        <ng-container *ngIf="questionLogic.last3MonthsIsLastQuestion">
          <qtb-stepper-nav
            nextRouterLink="/qtb/drivers"
            nextText="Complete Car Use"
            [form]="purchasedLast3MonthsForm"
          ></qtb-stepper-nav>
          <p>Up next: Who's driving your car?</p>
        </ng-container>
      </form>

      </mat-step>
      <mat-step *ngIf="questionLogic.askIfCarWasBrandNew">
        <ng-template matStepLabel>Is it new?</ng-template>
        <section>
          <fieldset>
            <qtb-question-heading heading="Did you purchase this car brand new?"></qtb-question-heading>

            <div class="qtb__emma-question-layout">
              <qtb-emma 
                text="If you purchased your car as a demo model from a dealer, that counts as brand new">
              </qtb-emma>
              <qtb-radiobutton
                  [options]="options.yesOrNo"
                  size="s"
                  class="qtb__form-element"
                  >
                <ng-template #inputs let-option>
                    <input
                      qtbNullOnHide
                      [(ngModel)]="formModel.vehicle.newCar"
                      value="{{ option.value }}"
                      type="radio"
                      name="isNew"
                      id="isNew{{ option.value }}"
                      (click)="nextStepWithDelay()"
                    />
                </ng-template>
              </qtb-radiobutton>
              <qtb-stepper-nav [showNext]="false"></qtb-stepper-nav>
              <div class="qtb__spacer"></div>
            </div>


          </fieldset>
        </section>
      </mat-step>
      <mat-step *ngIf="questionLogic.askIfCarFirstPolicy">
        <ng-template matStepLabel>first policy?</ng-template>
        <section class="qtb__non-emma-question">
          <fieldset>
              <qtb-question-heading heading="Will this be the car's first insurance policy since you bought it?">
              </qtb-question-heading>

            <qtb-radiobutton [options]="options.yesOrNo" size="s">
                <ng-template #inputs let-option>
                    <input
                      qtbNullOnHide
                      [(ngModel)]="formModel.vehicle.firstPolicy"
                      value="{{ option.value }}"
                      type="radio"
                      name="pricing"
                      id="isFirstPolicy{{ option.value }}"
                      (click)="nextStepWithDelay()"
                    />
                </ng-template>
            </qtb-radiobutton>

          </fieldset>
        </section>
        <qtb-stepper-nav [showNext]="false"></qtb-stepper-nav>
      </mat-step>
      <mat-step *ngIf="questionLogic.askIfCarFinanced">
        <form #formSubmit="ngForm">
        <ng-template matStepLabel>financed?</ng-template>
        <section class="qtb__non-emma-question">
          <fieldset>
              <qtb-question-heading heading="Is this car financed?">
                  <a href="#">How to know if your car is financed?</a>
              </qtb-question-heading>

            <qtb-radiobutton [options]="options.yesOrNo" size="s">
                <ng-template #inputs let-option>
                    <input
                      qtbNullOnHide
                      [(ngModel)]="formModel.vehicle.financed"
                      value="{{ option.value }}"
                      type="radio"
                      name="isFinanced"
                      id="isFinanced{{ option.value }}"
                      (click)="nextStepWithDelay()"
                    />
                </ng-template>
            </qtb-radiobutton>

            <qtb-select-list>
                <label *ngIf="questionLogic.askFinanceProvider" for="finance-provider">
                  <span>Finance provider</span>
                  <select
                    [(ngModel)]="formModel.vehicle.financeProvider"
                    name="financeProvider"
                    id="finance-provider"
                  >
                    <option
                      *ngFor="let option of options.financeProviders"
                      [ngValue]="option.value"
                      >{{ option.display }}</option
                    >
                  </select>
                </label>
              </qtb-select-list>
          </fieldset>
        </section>

        <qtb-stepper-nav
          nextRouterLink="/qtb/drivers"
          nextText="Complete Car Use"
          [form]="formSubmit"
        ></qtb-stepper-nav>
        <p>Up next: Who's driving your car?</p>
      </form>
      </mat-step>
    </mat-vertical-stepper>

    <!-- todo: purchase date -->
  <!-- </form> -->
</article>
